[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteDWord

Write a DWord to the stream.

## Declaration

Source position: classesh.inc line 868

`public procedure TStream.WriteDWord(`
`d: Cardinal`
`);`

## Description

WriteDWord writes the DWord D (i.e. 4 bytes) to the stream. This is a utility function which simply calls the Write function. The DWord can be read from the stream using the ReadDWord function.

## Errors

If an error occurs when attempting to write, an EStreamError exception will be raised.

## See also

TStream.Write |  | Writes data from a buffer to the stream and returns the number of bytes written.
TStream.ReadDWord |  | Read a DWord from the stream and return its value.
TStream.WriteByte |  | Write a byte to the stream.
TStream.WriteWord |  | Write a word to the stream.
TStream.WriteAnsiString |  | Write an ansistring to the stream.

Documentation generated on: Feb 26 2014